﻿@import url('css/bootstrap-icons/font/bootstrap-icons.min.css');

/* Aplica a todos os elementos */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --menusidewidth: 250px;
    --corprimary: #286090;
    --corsecondary: #204d74;
    --corcomplement: #d6d5d5;
    --corfundo: white;
    --corbox: #F7F7F7;
    --corerro: brown;
    --corprimary: darkslategrey;
    --corsecondary: green;
    --corprimary: darkslateblue;
    --corsecondary: midnightblue;
    --corprimary: #1A1F38;
    --corsecondary: #404558;
    --corbox: #E4E7EE;
    --zoom: 1;
    --innerWidth: 0;
    --innerHeight: 0;
    --top: 0px;
}

html{
    zoom: var(--zoom);
}


html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    color: var(--corprimary);
}

.btn-primary {
    color: var(--corfundo);
    background-color: var(--corprimary);
    border-color: var(--corsecondary);
}

    .btn-primary:hover {
        color: var(--corbox);
        background-color: var(--corsecondary);
        border-color: var(--corprimary)
    }

    .btn-primary.focus, .btn-primary:focus {
        box-shadow: 0 0 0 .2rem var(--corcomplement)
    }

    .btn-primary.disabled, .btn-primary:disabled {
        color: var(--corfundo);
        background-color: var(--corsecondary);
        border-color: var(--corsecondary)
    }

    .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
        color: var(--corfundo);
        background-color: var(--corprimary);
        border-color: var(--corsecondary)
    }

        .btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show > .btn-primary.dropdown-toggle:focus {
            box-shadow: 0 0 0 .2rem var(--corcomplement)
        }


.btn-secondary {
    color: var(--corprimary);
    background-color: var(--corbox);
    border-color: var(--corsecondary)
}

    .btn-secondary:hover {
        color: var(--corprimary);
        background-color: var(--corfundo);
        border-color: var(--corbox)
    }

    .btn-secondary.focus, .btn-secondary:focus {
        box-shadow: 0 0 0 .2rem var(--corfundo)
    }

    .btn-secondary.disabled, .btn-secondary:disabled {
        color: var(--corprimary);
        background-color: var(--corbox);
        border-color: var(--corsecondary)
    }

    .btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active, .show > .btn-secondary.dropdown-toggle {
        color: var(--corprimary);
        background-color: var(--corbox);
        border-color: var(--corfundo)
    }

        .btn-secondary:not(:disabled):not(.disabled).active:focus, .btn-secondary:not(:disabled):not(.disabled):active:focus, .show > .btn-secondary.dropdown-toggle:focus {
            box-shadow: 0 0 0 .2rem var(--corfundo)
        }

.btn-default {
    color: #286090;
    background-color: #F7F7F7;
    border-color: #204d74;
}

    .btn-default:hover {
        color: #204d74;
        background-color: #F7F7F7;
        border-color: #286090;
    }

    .btn-default.focus, .btn-default:focus {
        box-shadow: 0 0 0 .2rem #204d74
    }


.footer {
    position: sticky;
    position: fixed;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    color: #286090;
    padding: 10px;
    background-color: white;
    z-index: 101;
    margin-left: -30px;
}

.footer-button {
    padding-left: 8px;
    padding-right: calc(var(--menusidewidth) + 8px);
    text-align: right;
}

.footer-left {
    position: sticky;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    color: #286090;
    padding: 10px;
    background-color: white;
    z-index: 101;
}

.footer-button-left {
    padding-left: 238px;
    padding-right: 8px;
    text-align: left;
    padding-left: 8px;
    padding-right: calc(var(--menusidewidth) + 8px);
    text-align: right;
}

.rodapeSafiraOnLine {
    overflow: hidden;
    background-color: #F7F7F7;
    position: fixed;
    bottom: 0;
    width: 100%;
}

button:focus {
    outline: 0px dotted;
}

.button-Menu {
    border: none;
    background-color: transparent;
    text-align: left;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    max-width: 330px;
}

.button-Icone {
    border: none;
    background-color: transparent;
    text-align: left;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    max-width: 330px;
    color: var(--corprimary);
}

.button-Ordem {
    border: none;
    background-color: transparent;
    color: var(--corprimary);
    padding: 5px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: none;
}

input {
    max-width: 440px;
}

textarea {
    max-width: 440px;
}

.text-icon {
    position: static;
    white-space: nowrap;
}

.text-icon-text {
}

.text-icon-icon {
    position: relative;
    right: 14px;
    top: 0;
    bottom: 0;
    width: 20px;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='1em' height='1em' viewBox='0 0 1024 1024'%3E%3Cpath fill='%23000' d='M8.2 275.4c0-8.6 3.4-17.401 10-24.001c13.2-13.2 34.8-13.2 48 0l451.8 451.8l445.2-445.2c13.2-13.2 34.8-13.2 48 0s13.2 34.8 0 48L542 775.399c-13.2 13.2-34.8 13.2-48 0l-475.8-475.8c-6.8-6.8-10-15.4-10-24.199'/%3E%3C/svg%3E") center / contain no-repeat;
    margin: -9px;
    padding-top: 3px;
    padding-bottom: 3px;
}

.text-icon-table {
    position: fixed;
    border-radius: 5px;
    visibility: unset;
    height: 100%;
    overflow-y: scroll;
    z-index: 204;
    background-color: white;
    width: auto;
    max-width: 70%;
    max-height: 330px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    max-height: 100%;
    min-width: 300px;
}

.grupocampos {
    border: 3px solid #F7F7F7;
    padding: 3px;
    border-radius: 8px;
}

.labelcaption {
    white-space: nowrap;
    color: var(--corprimary);
    text-decoration: none;
}

.autoheight { /* CSS */
    height: 100%;
}

.erro {
    position: fixed;
    margin: 20px;
    z-index: 301;
    border: 3px solid;
    border-radius: 8px;
    background-color: white;
    height: auto;
    color: var(--corerro);
}

.erroheader {
    background-color: var(--corerro);
    color: white;
    padding: 10px;
}

.errodetalhe {
    overflow-y: scroll;
    max-height: 360px;
    color: var(--corerro);
}

.errobutton {
    background-color: var(--corerro);
    color: var(--corfundo);
    margin: 10px;
}

.errodivdetalhe {
    overflow-y: scroll;
    max-height: 360px;
    color: var(--corerro);
    border: 2px solid;
    border-radius: 3px;
    padding: 8px
}

.titulo {
    position: fixed;
    height: 50px;
    width: 100%;
    top: 0;
    left: 0;
    background-color: var(--corbox);
    border: 1px solid var(--corcomplement);
    padding: 8px;
    border-radius: 4px 4px 0 0;
    z-index: 101;
}

.titulo-inverso {
    color: var(--corfundo);
    background-color: var(--corprimary);
    border-color: var(--corsecondary);
}

.cororiginal {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.subtitulo {
    position: fixed;
    height: 50px;
    width: 100%;
    top: 50px;
    left: 0;
    background-color: var(--corbox);
    border: 1px solid var(--corcomplement);
    padding: 8px;
    padding-right: calc(var(--menusidewidth) + 8px);
    z-index: 101;
}

.menuside {
    position: fixed;
    width: var(--menusidewidth);
    height: 100%;
    right: 0;
    top: 50px;
    background-color: var(--corbox);
    border: 1px solid var(--corcomplement);
    z-index: 203;
    border-radius: 0 0 4px 0;
}

    .menuside .left {
        left: 0;
    }

.main {
    padding-right: var(--menusidewidth);
}

.subitem {
    position: absolute;
    background-color: white;
    border-radius: 8px;
    padding-top: 8px;
    top: 150px;
    height: calc((var(--innerHeight) / var(--zoom)) - (208px / 1));
    width: calc(100% - var(--menusidewidth) - 56px);
}

.close {
    color: var(--corprimary);
    background-color: transparent;
    position: fixed;
    top: 8px;
    right: 16px;
}

.content {
    padding: 1rem;
    margin-bottom: 50px;
    margin-top: 0px;
    position: fixed;
    top: calc(var(--top) + 5px);
    bottom: -45px;
    overflow-y: scroll;
    color: var(--corprimary);
    width: calc(100% - var(--menusidewidth) - 0px);
}

.table-sol {
    width: 100%;
    margin-bottom: 1rem;
    color: var(--corprimary);
}

    .table-sol td, .table th {
        padding: .75rem;
        vertical-align: top;
        border-top: 1px solid #dee2e6
    }

    .table-sol thead th {
        vertical-align: bottom;
        border-bottom: 2px solid #dee2e6
    }

    .table-sol tbody + tbody {
        border-top: 2px solid #dee2e6
    }

.svg-spinners--bars-scale-fade {
    display: inline-block;
    width: 1em;
    height: 1em;
    --svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Crect width='6' height='14' x='1' y='4' fill='%23000'%3E%3Canimate id='svgSpinnersBarsScaleFade0' fill='freeze' attributeName='y' begin='0;svgSpinnersBarsScaleFade1.end-0.25s' dur='0.75s' values='1;5'/%3E%3Canimate fill='freeze' attributeName='height' begin='0;svgSpinnersBarsScaleFade1.end-0.25s' dur='0.75s' values='22;14'/%3E%3Canimate fill='freeze' attributeName='opacity' begin='0;svgSpinnersBarsScaleFade1.end-0.25s' dur='0.75s' values='1;0.2'/%3E%3C/rect%3E%3Crect width='6' height='14' x='9' y='4' fill='%23000' opacity='0.4'%3E%3Canimate fill='freeze' attributeName='y' begin='svgSpinnersBarsScaleFade0.begin+0.15s' dur='0.75s' values='1;5'/%3E%3Canimate fill='freeze' attributeName='height' begin='svgSpinnersBarsScaleFade0.begin+0.15s' dur='0.75s' values='22;14'/%3E%3Canimate fill='freeze' attributeName='opacity' begin='svgSpinnersBarsScaleFade0.begin+0.15s' dur='0.75s' values='1;0.2'/%3E%3C/rect%3E%3Crect width='6' height='14' x='17' y='4' fill='%23000' opacity='0.3'%3E%3Canimate id='svgSpinnersBarsScaleFade1' fill='freeze' attributeName='y' begin='svgSpinnersBarsScaleFade0.begin+0.3s' dur='0.75s' values='1;5'/%3E%3Canimate fill='freeze' attributeName='height' begin='svgSpinnersBarsScaleFade0.begin+0.3s' dur='0.75s' values='22;14'/%3E%3Canimate fill='freeze' attributeName='opacity' begin='svgSpinnersBarsScaleFade0.begin+0.3s' dur='0.75s' values='1;0.2'/%3E%3C/rect%3E%3C/svg%3E");
    background-color: currentColor;
    -webkit-mask-image: var(--svg);
    mask-image: var(--svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
}

@media (max-width: 1279.98px) {
    .main .top-row:not(.auth) {
        display: normal;
    }

    .content {
        margin-left: 0;
        width: 100%;
    }

    .footer-button {
        padding-right: 8px;
    }

    .sidebar {
        position: fixed;
        width: 100%;
        z-index: 1000;
    }

    .subtitulo {
        padding: 8px;
    }

    .menuside {
        z-index: 201;
    }

    .main {
        padding-right: 0px;
    }

    .subitem {
        width: calc(100% - 56px);
    }

    .close {
        top: 63px;
    }
}

@media (min-width: 1280px) {
    .main .top-row:not(.auth) {
        display: normal;
    }
}

@media (max-width: 767.98px) {
    html, body {
        padding-bottom: 150px;
    }

    .footer {
        position: fixed;
        z-index: 103;
    }

    .footer-button-left {
        padding-left: 8px;
        padding-right: 8px;
        text-align: right;
    }

    .text-icon-table {
        width: 100%;
        max-width: 100%;
    }

    .subitem {
        width: 100%;
        height: 100%;
    }
}

@media (min-width: 768px) {
}


@media (max-width: 497.98px) {
    input {
        max-width: 330px;
    }

    textarea {
        max-width: 330px;
    }
}

